Subject: Re: [PATCH] m8xx_wdt: software watchdog reset/interrupt select\

From: Florian Schirmer <[email-masked]>
Date: Tue, 15 Nov 2005 07:11:53 +0100

Hi,

> Actually, drivers/char/watchdog/mpc8xx_wdt.c is a module, while
> some of the initialization code must reside in the kernel image.
> 
> Thats the reason for the split - not sure if merging the two
> files is worth?

If you have a short timeout (like the 2 secs we had) then you need to 
have the handler ready long before the module could be loaded.

Best,
   Florian